Bulletin d'alerte Debian

DSA-493-1 xchat -- Dépassement de tampon

Date du rapport :
21 avril 2004
Paquets concernés :
xchat
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans le système de suivi des bogues Debian : Bogue 244184.
Dans le dictionnaire CVE du Mitre : CVE-2004-0409.
Plus de précisions :

Un dépassement de tampon a été découvert dans le code du mandataire Socks-5 de XChat, un client IRC pour X comparable à AmIRC. Ceci permet à un attaquant d'exécuter n'importe quel code sur la machine des utilisateurs.

Pour la distribution stable (Woody), ce problème a été corrigé dans la version 1.8.9-0woody3.

Pour la distribution instable (Sid), ce problème a été corrigé dans la version 2.0.8-1.

Nous vous recommandons de mettre à jour votre paquet xchat et ceux qui y sont liés.

Corrigé dans :

Debian GNU/Linux 3.0 (woody)

Source :
http://security.debian.org/pool/updates/main/x/xchat/xchat_1.8.9-0woody3.dsc
http://security.debian.org/pool/updates/main/x/xchat/xchat_1.8.9-0woody3.diff.gz
http://security.debian.org/pool/updates/main/x/xchat/xchat_1.8.9.orig.tar.gz
Composant indépendant de l'architecture :
http://security.debian.org/pool/updates/main/x/xchat/xchat-common_1.8.9-0woody3_all.deb
Alpha:
http://security.debian.org/pool/updates/main/x/xchat/xchat_1.8.9-0woody3_alpha.deb
http://security.debian.org/pool/updates/main/x/xchat/xchat-gnome_1.8.9-0woody3_alpha.deb
http://security.debian.org/pool/updates/main/x/xchat/xchat-text_1.8.9-0woody3_alpha.deb
ARM:
http://security.debian.org/pool/updates/main/x/xchat/xchat_1.8.9-0woody3_arm.deb
http://security.debian.org/pool/updates/main/x/xchat/xchat-gnome_1.8.9-0woody3_arm.deb
http://security.debian.org/pool/updates/main/x/xchat/xchat-text_1.8.9-0woody3_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/x/xchat/xchat_1.8.9-0woody3_i386.deb
http://security.debian.org/pool/updates/main/x/xchat/xchat-gnome_1.8.9-0woody3_i386.deb
http://security.debian.org/pool/updates/main/x/xchat/xchat-text_1.8.9-0woody3_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/x/xchat/xchat_1.8.9-0woody3_ia64.deb
http://security.debian.org/pool/updates/main/x/xchat/xchat-gnome_1.8.9-0woody3_ia64.deb
http://security.debian.org/pool/updates/main/x/xchat/xchat-text_1.8.9-0woody3_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/x/xchat/xchat_1.8.9-0woody3_hppa.deb
http://security.debian.org/pool/updates/main/x/xchat/xchat-gnome_1.8.9-0woody3_hppa.deb
http://security.debian.org/pool/updates/main/x/xchat/xchat-text_1.8.9-0woody3_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/x/xchat/xchat_1.8.9-0woody3_m68k.deb
http://security.debian.org/pool/updates/main/x/xchat/xchat-gnome_1.8.9-0woody3_m68k.deb
http://security.debian.org/pool/updates/main/x/xchat/xchat-text_1.8.9-0woody3_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/x/xchat/xchat_1.8.9-0woody3_mips.deb
http://security.debian.org/pool/updates/main/x/xchat/xchat-gnome_1.8.9-0woody3_mips.deb
http://security.debian.org/pool/updates/main/x/xchat/xchat-text_1.8.9-0woody3_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/x/xchat/xchat_1.8.9-0woody3_mipsel.deb
http://security.debian.org/pool/updates/main/x/xchat/xchat-gnome_1.8.9-0woody3_mipsel.deb
http://security.debian.org/pool/updates/main/x/xchat/xchat-text_1.8.9-0woody3_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/x/xchat/xchat_1.8.9-0woody3_powerpc.deb
http://security.debian.org/pool/updates/main/x/xchat/xchat-gnome_1.8.9-0woody3_powerpc.deb
http://security.debian.org/pool/updates/main/x/xchat/xchat-text_1.8.9-0woody3_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/x/xchat/xchat_1.8.9-0woody3_s390.deb
http://security.debian.org/pool/updates/main/x/xchat/xchat-gnome_1.8.9-0woody3_s390.deb
http://security.debian.org/pool/updates/main/x/xchat/xchat-text_1.8.9-0woody3_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/x/xchat/xchat_1.8.9-0woody3_sparc.deb
http://security.debian.org/pool/updates/main/x/xchat/xchat-gnome_1.8.9-0woody3_sparc.deb
http://security.debian.org/pool/updates/main/x/xchat/xchat-text_1.8.9-0woody3_sparc.deb

Les sommes MD5 des fichiers indiqués sont disponibles sur la page originale de l'alerte de sécurité.